[arch-commits] Commit in (opengtl opengtl/repos opengtl/trunk opengtl/trunk/PKGBUILD)

Ronald van Haren ronald at archlinux.org
Tue Jan 19 05:18:35 EST 2010


    Date: Tuesday, January 19, 2010 @ 05:18:35
  Author: ronald
Revision: 64025

add to repos as krita dependency

Added:
  opengtl/
  opengtl/repos/
  opengtl/trunk/
  opengtl/trunk/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

Added: opengtl/trunk/PKGBUILD
===================================================================
--- opengtl/trunk/PKGBUILD	                        (rev 0)
+++ opengtl/trunk/PKGBUILD	2010-01-19 10:18:35 UTC (rev 64025)
@@ -0,0 +1,28 @@
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Andries Radu <admiral0 at live.it>
+
+pkgname=opengtl
+pkgver=0.9.12
+pkgrel=3
+pkgdesc="A set of library for using and integrating transformation algorithms (such as filter or color conversion) in 
+graphics applications."
+url="http://www.opengtl.org"
+arch=('i686' 'x86_64')
+depends=('llvm' 'libpng')
+license=('GPL')
+makedepends=('cmake') 
+source=(http://www.opengtl.org/download/OpenGTL-${pkgver}.tar.bz2)
+md5sums=('c45fddf10c922ebcf9cb5b7c5df89220')
+
+
+build() {
+  install -d ${srcdir}/build
+  cd ${srcdir}/build || return 1
+  cmake ../OpenGTL-${pkgver} \
+                -DCMAKE_BUILD_TYPE=Release \
+                -DCMAKE_SKIP_RPATH=ON \
+                -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed' \
+		-DCMAKE_INSTALL_PREFIX=/usr || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install
+}



More information about the arch-commits mailing list